Package org.apache.lucene.util

# Enum Class FileDeleter.MsgType

java.lang.Object
java.lang.Enum<FileDeleter.MsgType>
org.apache.lucene.util.FileDeleter.MsgType

All Implemented Interfaces:
  `Serializable`, `Comparable<FileDeleter.MsgType>`, `Constable`

Enclosing class:
  `FileDeleter`

public static enum FileDeleter.MsgType extends Enum<FileDeleter.MsgType>
Types of messages this file deleter will broadcast REF: messages about reference FILE: messages about file

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`FILE`
`REF`

## Method Summary

Modifier and Type
Method
Description
`static FileDeleter.MsgType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static FileDeleter.MsgType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### REF

public static final FileDeleter.MsgType REF

### FILE

public static final FileDeleter.MsgType FILE

## Method Details

### values

public static FileDeleter.MsgType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static FileDeleter.MsgType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null